> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a subscriber's location

> Removes the subscriber's pinned location and returns `204 No Content` on success. After deletion, Kit may re-infer the subscriber's location from future open events.

To set or replace a pinned location, use [Pin a subscriber's location](/api-reference/subscribers/pin-a-subscribers-location); to replace the values on an existing pin, use [Update a subscriber's pinned location](/api-reference/subscribers/update-a-subscribers-pinned-location). Returns `404` when the subscriber is not found.



## OpenAPI

````yaml /api-reference/v4.json delete /v4/subscribers/{subscriber_id}/location
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/subscribers/{subscriber_id}/location:
    delete:
      tags:
        - Subscribers
      summary: Delete a subscriber's location
      description: >-
        Removes the subscriber's pinned location and returns `204 No Content` on
        success. After deletion, Kit may re-infer the subscriber's location from
        future open events.


        To set or replace a pinned location, use [Pin a subscriber's
        location](/api-reference/subscribers/pin-a-subscribers-location); to
        replace the values on an existing pin, use [Update a subscriber's pinned
        location](/api-reference/subscribers/update-a-subscribers-pinned-location).
        Returns `404` when the subscriber is not found.
      parameters:
        - name: subscriber_id
          in: path
          required: true
          schema:
            type: integer
          example: 0
      responses:
        '204':
          description: Destroys the subscriber's pinned location and returns 204
        '404':
          description: returns 404 for an unknown subscriber
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - Not Found
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````